From b8094e6e9aeb31c86c150a2771edebc7b3f064a8 Mon Sep 17 00:00:00 2001
From: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
Date: Jan 27 2026 15:36:58 +0000
Subject: [PATCH 4/16] presets: enable kmsconvt@.service


... (rhbz#2429626)

---

diff --git a/90-default.preset b/90-default.preset
index 31dc752..0ef49c4 100644
--- a/90-default.preset
+++ b/90-default.preset
@@ -23,6 +23,12 @@ enable dbus.socket
 enable dbus-broker.service
 enable sshd.service
 
+# Enable kmsconvt@.service as implementation for autovt@.service.
+# Explicitly disable getty@.service which is enabled by systemd.
+# https://bugzilla.redhat.com/show_bug.cgi?id=2429626
+enable kmsconvt@.service
+disable getty@.service
+
 # Locally-running services
 enable atd.*
 enable crond.*
@@ -480,4 +486,3 @@ enable gpio-manager.service
 # Enable authselect-apply-changes.service
 # https://bugzilla.redhat.com/show_bug.cgi?id=2397255
 enable authselect-apply-changes.service
-

